<div class="col-md-8 submit-form colonne-centree">
    <div *ngIf="!submitted">
      <form class="colonne-centree" id="ajout" #f="ngForm" style="margin-top: 5px; margin-block: unset; 
                  background-color: #ffffff;
                  padding-right: 100px;
                  padding-left: 100px;
                  padding-top: 80px;
                  width: 1000px;
                  border-radius: 15px;">
  
        <!-- Div 1 nomtest-->

        <div class="form-group" style="margin-bottom: 10px; ">
          <div class="input-group">
            <label class="input-group-addon" for="nomtest" style="margin-bottom: 15px; font-size: 25px;">
              <strong>Nom test</strong> 
            </label>
            <input type="text" class="form-control" id="nomtest" required [(ngModel)]="test.nomtest" name="nomtest"
              placeholder="m987654" maxlength="10" minlength="2" #nomtest="ngModel" />
          </div>
          <div class="alert-danger"  style="margin-top: 2px; font-size: larger; border-radius: 80px;" *ngIf="f.submitted && nomtest.invalid">
            <div *ngIf="nomtest.errors.required">Le nom test est obligatoire</div>
            <div *ngIf="nomtest.errors.minlength">Le nom test doit comporter au moins 2 caractères</div>
            <div *ngIf="nomtest.errors.maxlength">Le nom test doit comporter au maximum 10 caractères</div>
          </div>
        </div>

        <!--bouton dajout-->
        <div class="col-md-2  colonne-centree1">
          <button (click)="saveTest()" class="btn btn-success"
            style="font-size: larger; padding-left: 28px; height: 50px; width: 150px; margin-bottom: 50px; padding-right: 28px;">
          Ajouter</button>
        <!-- Alert echoue-->
        <div class="form-group">
          <div class="alert alert-danger" role="alert" *ngIf="f.submitted && isFailed"
            style="margin-top: 10px; font-size: larger; border-radius: 80px;">
            échec d'ajout : {{ errorMessage }}
          </div>
        </div>
          </div>
        
      </form>
    </div>
  </div>
  <!--alerte:AJOUT SUCCED-->
  <div class="col-md-4 colonne-centree " *ngIf="submitted">
    <h2 class="alert alert-sucess " style="text-align: center;
               font-family: 'Times New Roman', Times, serif; 
               font-size: 100px; background-color: #ffffffff; 
                margin-top: 20px;  height: 100px; font-size: larger; height: 100px; border-radius: 80px;" role="alert">
      Vous ajouter un test avec succès!</h2>
      <button class="btn btn-success colonne-centree" style="margin-top: 10px; width: 220px; " (click)="newTest()">
      Ajouter un autre test</button>
      <button class="btn btn-success colonne-centree" style="margin-top: 10px; width: 220px; " (click)="onSubmit()">
      Liste des tests</button>

</div>